package com.ruoyi.feeagreement.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 费用协议从表对象 t_warehouse_fee_agreement_type_business
 * 
 * @author dongyongwei
 * @date 2021-07-30
 */
public class TWarehouseFeeAgreementTypeBusiness extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long fId;

    /** 主表id */
    @Excel(name = "主表id")
    private Long fWarehouseFeeAgreementTypeFId;

    /** 分类类型ID */
    @Excel(name = "分类类型ID")
    private Long fTFeeAgreementTypeFId;

    /** 业务类型父ID */
    @Excel(name = "业务类型父ID")
    private Long fTFeeAgreementFTypeParentId;

    /** 费目 */
    @Excel(name = "费目")
    private Long fFeeItem;

    /** 费目名称 */
    private String fFeeItemName;

    public String getfFeeItemName() {
        return fFeeItemName;
    }

    public void setfFeeItemName(String fFeeItemName) {
        this.fFeeItemName = fFeeItemName;
    }

    /** 计算方法 */
    @Excel(name = "计算方法")
    private String fComputingMethod;

    /** 收付类型 */
    @Excel(name = "收付类型")
    private String fReceiptPaymentType;

    /** 取值 */
    @Excel(name = "取值")
    private Long fGetValue;

    /** 删除状态（0正常 1停用） */
    @Excel(name = "删除状态", readConverterExp = "0=正常,1=停用")
    private Integer fDelFlag;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fUpdateTime;

    /** 更新人ID */
    @Excel(name = "更新人ID")
    private Long fUpdateBy;

    /** 创建日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fCreateTime;

    /** 创建人ID */
    @Excel(name = "创建人ID")
    private Long fCreateBy;

    /** 备注 */
    @Excel(name = "备注")
    private String fRemark;

    public void setfId(Long fId) 
    {
        this.fId = fId;
    }

    public Long getfId() 
    {
        return fId;
    }
    public void setfWarehouseFeeAgreementTypeFId(Long fWarehouseFeeAgreementTypeFId) 
    {
        this.fWarehouseFeeAgreementTypeFId = fWarehouseFeeAgreementTypeFId;
    }

    public Long getfWarehouseFeeAgreementTypeFId() 
    {
        return fWarehouseFeeAgreementTypeFId;
    }
    public void setfTFeeAgreementTypeFId(Long fTFeeAgreementTypeFId) 
    {
        this.fTFeeAgreementTypeFId = fTFeeAgreementTypeFId;
    }

    public Long getfTFeeAgreementTypeFId() 
    {
        return fTFeeAgreementTypeFId;
    }
    public void setfTFeeAgreementFTypeParentId(Long fTFeeAgreementFTypeParentId) 
    {
        this.fTFeeAgreementFTypeParentId = fTFeeAgreementFTypeParentId;
    }

    public Long getfTFeeAgreementFTypeParentId() 
    {
        return fTFeeAgreementFTypeParentId;
    }
    public void setfFeeItem(Long fFeeItem) 
    {
        this.fFeeItem = fFeeItem;
    }

    public Long getfFeeItem() 
    {
        return fFeeItem;
    }
    public void setfComputingMethod(String fComputingMethod)
    {
        this.fComputingMethod = fComputingMethod;
    }

    public String getfComputingMethod()
    {
        return fComputingMethod;
    }
    public void setfReceiptPaymentType(String fReceiptPaymentType)
    {
        this.fReceiptPaymentType = fReceiptPaymentType;
    }

    public String getfReceiptPaymentType()
    {
        return fReceiptPaymentType;
    }
    public void setfGetValue(Long fGetValue) 
    {
        this.fGetValue = fGetValue;
    }

    public Long getfGetValue() 
    {
        return fGetValue;
    }
    public void setfDelFlag(Integer fDelFlag) 
    {
        this.fDelFlag = fDelFlag;
    }

    public Integer getfDelFlag() 
    {
        return fDelFlag;
    }
    public void setfUpdateTime(Date fUpdateTime) 
    {
        this.fUpdateTime = fUpdateTime;
    }

    public Date getfUpdateTime() 
    {
        return fUpdateTime;
    }
    public void setfUpdateBy(Long fUpdateBy) 
    {
        this.fUpdateBy = fUpdateBy;
    }

    public Long getfUpdateBy() 
    {
        return fUpdateBy;
    }
    public void setfCreateTime(Date fCreateTime) 
    {
        this.fCreateTime = fCreateTime;
    }

    public Date getfCreateTime() 
    {
        return fCreateTime;
    }
    public void setfCreateBy(Long fCreateBy) 
    {
        this.fCreateBy = fCreateBy;
    }

    public Long getfCreateBy() 
    {
        return fCreateBy;
    }
    public void setfRemark(String fRemark) 
    {
        this.fRemark = fRemark;
    }

    public String getfRemark() 
    {
        return fRemark;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("fId", getfId())
            .append("fWarehouseFeeAgreementTypeFId", getfWarehouseFeeAgreementTypeFId())
            .append("fTFeeAgreementTypeFId", getfTFeeAgreementTypeFId())
            .append("fTFeeAgreementFTypeParentId", getfTFeeAgreementFTypeParentId())
            .append("fFeeItem", getfFeeItem())
            .append("fComputingMethod", getfComputingMethod())
            .append("fReceiptPaymentType", getfReceiptPaymentType())
            .append("fGetValue", getfGetValue())
            .append("fDelFlag", getfDelFlag())
            .append("fUpdateTime", getfUpdateTime())
            .append("fUpdateBy", getfUpdateBy())
            .append("fCreateTime", getfCreateTime())
            .append("fCreateBy", getfCreateBy())
            .append("fRemark", getfRemark())
            .toString();
    }
}
